summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorKatharina Drexel <katharina.drexel@bfh.ch>2021-02-25 13:54:06 +0000
committerDaniel Baumann <daniel.baumann@open-infrastructure.net>2021-04-14 16:56:23 +0000
commit2c1c6b8f2775419c628e89c91c751a4cfb12da61 (patch)
tree64a0580bfb6489ef9ef7e60db63ab5db7d5cecd6
parentUpdating unit file for systemd 246 wrt/ StandardError and StandardOutput opti... (diff)
downloadcompute-tools-2c1c6b8f2775419c628e89c91c751a4cfb12da61.tar.xz
compute-tools-2c1c6b8f2775419c628e89c91c751a4cfb12da61.zip
Integrating mmdebstrap in debconf script.
Signed-off-by: Katharina Drexel <katharina.drexel@bfh.ch> Signed-off-by: Daniel Baumann <daniel.baumann@open-infrastructure.net>
-rwxr-xr-xshare/scripts/debconf28
1 files changed, 24 insertions, 4 deletions
diff --git a/share/scripts/debconf b/share/scripts/debconf
index 28c5262..c6cc0ec 100755
--- a/share/scripts/debconf
+++ b/share/scripts/debconf
@@ -115,9 +115,14 @@ then
exit 1
fi
-if [ ! -x /usr/sbin/debootstrap ]
+if [ -x /usr/sbin/debootstrap ]
then
- echo "'${NAME}': /usr/sbin/debootstrap - no such file." >&2
+ BOOTSTRAP="debootstrap"
+elif [ -x /usr/bin/mmdebstrap ]
+then
+ BOOTSTRAP="mmdebstrap"
+else
+ echo "'${NAME}': /usr/sbin/debootstrap or /usr/bin/mmdebstrap - no such file." >&2
exit 1
fi
@@ -390,8 +395,23 @@ Debootstrap ()
esac
mkdir -p "$(dirname ${DIRECTORY})"
- debootstrap --verbose --arch=${ARCHITECTURE} --components=${PARENT_ARCHIVE_AREAS} \
- --exclude=${EXCLUDE} --include=${INCLUDE} ${PARENT_DISTRIBUTION} "${DIRECTORY}" ${PARENT_MIRROR}
+
+ case "${BOOTSTRAP}" in
+ debootstrap)
+ debootstrap --verbose --arch=${ARCHITECTURE} --components=${PARENT_ARCHIVE_AREAS} \
+ --exclude=${EXCLUDE} --include=${INCLUDE} ${PARENT_DISTRIBUTION} "${DIRECTORY}" ${PARENT_MIRROR}
+ ;;
+
+ mmdebstrap)
+ mmdebstrap --verbose --arch=${ARCHITECTURE} --components=${PARENT_ARCHIVE_AREAS} \
+ --mode=root --include=${INCLUDE} ${PARENT_DISTRIBUTION} "${DIRECTORY}" ${PARENT_MIRROR}
+ ;;
+
+ *)
+ echo "'${NAME}': ${BOOTSTRAP} - not supported" >&2
+ exit 1
+ ;;
+ esac
}
Configure_apt ()